transport_add_device
Prev | Device Drivers Base | Next

## Name

transport_add_device — declare a new dev for transport class association

## Synopsis

`void transport_add_device (` | struct device * | dev`)`;

## Arguments

`dev`

  the generic device representing the entity being added

## Description

Usually, dev represents some component in the HBA system (either the HBA itself or a device remote across the HBA bus). This routine is simply a trigger point used to add the device to the system and register attributes for it.

Prev | Up | Next
transport_setup_device | Home | transport_configure_device